Subject: bug#63028: 28.2; Rendering Traditional Mongolian Script

From: "Garid Z." <[email-masked]>
Date: Mon, 24 Apr 2023 01:05:43 +0900

> FTR, what font are you using for this script?

It looks like I'm using Noto-sans, Take look at my (C-u C-x =) output
file (attachment: letter.txt):

             position: 3 of 15 (13%), column: 2
            character: ᠣ (displayed as ᠣ) (codepoint 6179, #o14043, #x1823)
              charset: unicode (Unicode (ISO10646))
code point in charset: 0x1823
               script: mongolian
               syntax: w 	which means: word
             category: .:Base, L:Strong L2R
             to input: type "C-x 8 RET 1823" or "C-x 8 RET MONGOLIAN LETTER O"
          buffer code: #xE1 #xA0 #xA3
            file code: #xE1 #xA0 #xA3 (encoded by coding system utf-8-unix)
              display: by this font (glyph code):
    ftcrhb:-GOOG-Noto Sans Mongolian-normal-normal-normal-*-97-*-*-*-*-0-iso10646-1 (#xAB)

Character code properties: customize what to show
  name: MONGOLIAN LETTER O
  general-category: Lo (Letter, Other)
  decomposition: (6179) ('ᠣ')

[back]

> Thanks.  However, I think I'd like to separate this line from the
> existing Mongolian line (which uses the Cyrillic script).  I thought
> about labeling it "Mongolian Traditional:, WDYT?  Alternatively, we
> could rename the existing line to "Mongolian Cyrillic", if the
> traditional Mongolian script is back in wide use nowadays.

(TBH, Traditional script are used rarely).
But using "Mongolian Traditional" and "Mongolian Cyrillic" labels sound
perfect to me. Should I make new file:
emacs/lisp/leim/quail/mongolian.el and put these 2 input methods?
or "Mongolian-cyrillic" still should belongs to other cyrillics
in emacs/lisp/leim/quail/cyrillic.el? WDYT?

> In any
> case, I will need to know how "Mongolian" is written in the Mongolian
> script, can you tell that as well?

Sure here: (Just in case, I also made it as attachment)
- Mongolia - Монгол - ᠮᠣᠩᠭᠣᠯ 
- Mongolian language - Монгол хэл -  ᠮᠣᠩᠭᠣᠯ ᠬᠡᠯᠡ
- Mongolian traditional scrips - Монгол бичиг - ᠮᠣᠩᠭᠣᠯ ᠪᠢᠴᠢᠭ᠋

- Mongolia - Монгол - ᠮᠣᠩᠭᠣᠯ 
- Mongolian language - Монгол хэл -  ᠮᠣᠩᠭᠣᠯ ᠬᠡᠯᠡ
- Mongolian traditional scrips - Монгол бичиг - ᠮᠣᠩᠭᠣᠯ ᠪᠢᠴᠢᠭ᠋

For the input-method this, I need to couple of days to figure out and
look for existing keyboard layout for traditional mongolian.

>> About these layer two  (fontset.el, character-composition), I've no idea
>> what's these about.
>
> I already did that, in the commit I installed today.
>
> Thanks.

Ah, I see thanks man.

Garid Zorigoo